package co.ab180.airbridge.flutter;

import android.app.Application;
import android.content.Intent;

import javax.annotation.Nonnull;

import co.ab180.airbridge.Airbridge;
import co.ab180.airbridge.AirbridgeConfig;
import io.flutter.plugin.common.PluginRegistry;

public class AirbridgeFL {

    public static void registerWith(PluginRegistry.Registrar registrar) {
        DeeplinkAPI.registerWith(registrar);
        EventAPI.registerWith(registrar);
        StateAPI.registerWith(registrar);
        PlacementAPI.registerWith(registrar);
    }

    public static void init(@Nonnull Application application, @Nonnull String appName, @Nonnull String appToken) {
        AirbridgeConfig config = new ConfigReader().build(application, appName, appToken);
        Airbridge.init(application, config);
    }

    public static void processDeeplinkData(Intent intent) {
        DeeplinkAPI.processDeeplinkData(intent);
    }
}
