import 'package:flutter/material.dart';

class Part extends StatelessWidget {
    final String name;
    final Widget child;

    Part(this.name, {this.child});

    @override
    Widget build(BuildContext context) {
        return Card(
            child: Container(
                padding: EdgeInsets.all(6.0),
                child: Column(
                    children: [
                        Container(
                            padding: EdgeInsets.all(6.0),
                            child: Text(name),
                        ),
                        child,
                    ],
                ),
            ),
        );
    }
}