//
//  ABGet.m
//  airbridge_flutter_sdk
//
//  Created by WOF on 08/10/2019.
//

#import "AFLGet.h"

@implementation AFLGet

+ (nullable id) type:(Class)type object:(nullable id)object {
    if (object == nil || [object isKindOfClass:type]) {
        return object;
    } else {
        return nil;
    }
}

+ (nullable id) type:(Class)type dictionary:(nullable NSDictionary*)dictionary key:(NSString*)key {
    if (dictionary == nil) {
        return nil;
    }
    
    NSObject* object = dictionary[key];
    
    return [AFLGet type:type object:object];
}

+ (nullable id) type:(Class)type array:(nullable NSArray*)array index:(int)index {
    if (array == nil || index < 0 || index > array.count) {
        return nil;
    }
    
    NSObject* object = array[index];
    
    return [AFLGet type:type object:object];
}

@end
