import 'package:flutter/services.dart';

import 'interface/deeplink_api.dart';
import 'interface/event_api.dart';
import 'interface/state_api.dart';
import 'interface/placement_api.dart';

class Airbridge {
    static final EventAPI event = EventAPI(
        const MethodChannel('airbridge_flutter_sdk/method/event')
    );
    static final DeeplinkAPI deeplink = DeeplinkAPI(
        const EventChannel('airbridge_flutter_sdk/event/deeplink')
    );
    static final StateAPI state = StateAPI(
        const MethodChannel('airbridge_flutter_sdk/method/state')
    );
    static final PlacementAPI placement = PlacementAPI(
        const MethodChannel('airbridge_flutter_sdk/method/placement')
    );
}
