import '../data/event_option.dart';
import '../data/user.dart';
import '../event/event.dart';

class SignUpEvent extends Event {
    static const String CATEGORY = 'airbridge.user.signup';

    User user;

    SignUpEvent({this.user,
        EventOption option})
        : super(CATEGORY, option: option);

    @override
    Map<String, dynamic> toMap() {
        return {
            'category': category,
            'option': option?.toMap(),
            'user': user?.toMap(),
        };
    }
}