import '../data/event_option.dart';
import '../event/event.dart';

class ViewHomeEvent extends Event {
    static const String CATEGORY = 'airbridge.ecommerce.home.viewed';

    ViewHomeEvent({EventOption option})
        : super(CATEGORY, option: option);

    @override
    Map<String, dynamic> toMap() {
        return {
            'category': category,
            'option': option?.toMap(),
        };
    }
}