class Log {
    static bool isPrint = true;

    static const String _HEADER = '[Airbridge FL]';
    static List<Function> _onLogs = List();

    static void unmatchType(String name) {
        _log('$name has unmatched type');
    }

    static void isNull(String name) {
        _log('$name is null');
    }
    
    static void info(String message) {
        _log(message);
    }

    static void fail(String name) {
        _log('fail to $name');
    }

    static void _log(String message) {
        if (isPrint) {
            print('${Log._HEADER} $message');
        }

        _onLogs.forEach((function) => function(message));
    }

    static addOnLog(Function callback) {
        _onLogs.add(callback);
    }

    static removeOnLog(Function callback) {
        _onLogs.remove(callback);
    }
}