class MapUtil {
    static void cleanNull(Map<String, dynamic> map) {
        if (map == null) {
            return;
        }

        map.removeWhere((String key, dynamic value) {
            if (value is Map<String, dynamic>) {
                MapUtil.cleanNull(value);
                return false;
            } else {
                return value == null;
            }
        });
    }
}