#include "AppDelegate.h"
#include "GeneratedPluginRegistrant.h"

#import <AirbridgeFL.h>

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
    [AirbridgeFL getInstance:@"67b4ad7fa85d46499cb2c4ad952a87ef"
                     appName:@"abrfl"
           withLaunchOptions:launchOptions];
    
    [GeneratedPluginRegistrant registerWithRegistry:self];
    return [super application:application didFinishLaunchingWithOptions:launchOptions];
}

- (BOOL)application:(UIApplication *)app
            openURL:(NSURL *)url
            options:(NSDictionary<UIApplicationOpenURLOptionsKey,id> *)options
{
    [AirbridgeFL.deeplink handleURLSchemeDeeplink:url];
    
    return YES;
}

- (BOOL)application:(UIApplication *)application
            openURL:(NSURL *)url
  sourceApplication:(NSString *)sourceApplication
         annotation:(id)annotation
{
    [AirbridgeFL.deeplink handleURLSchemeDeeplink:url];
    
    return YES;
}

 - (BOOL)application:(UIApplication *)application
continueUserActivity:(NSUserActivity *)userActivity
  restorationHandler:(void (^)(NSArray<id<UIUserActivityRestoring>> * _Nullable))restorationHandler
{
    [AirbridgeFL.deeplink handleUniversalLink:userActivity.webpageURL];
    
    return YES;
}

@end
