import 'package:airbridge_flutter_sdk_example/basic/part.dart';
import 'package:airbridge_flutter_sdk_example/home/placement_test.dart';
import 'package:flutter/material.dart';

import 'deeplink_status.dart';
import 'device_status.dart';
import 'id_setting_grid.dart';
import 'send_event_grid.dart';

class Home extends StatelessWidget {
    @override
    Widget build(BuildContext context) {
        return SingleChildScrollView(
            child: Container(
                padding: EdgeInsets.all(6.0),
                child: Column(
                    children: [
                        Part('Device', child: DeviceStatus()),
                        Part('ID Setting', child: IDSettingGrid()),
                        Part('Send Event', child: SendEventGrid()),
                        Part('Deeplink', child: DeeplinkStatus()),
                        Part('Placement Test', child: PlacementTest()),
                    ],
                ),
            )
        );
    }
}