import '../data/event_option.dart';
import '../event/event.dart';

class SignOutEvent extends Event {
    static const String CATEGORY = 'airbridge.user.signout';

    SignOutEvent({EventOption option})
        : super(CATEGORY, option: option);

    @override
    Map<String, dynamic> toMap() {
        return {
            'category': category,
            'option': option?.toMap(),
        };
    }
}