import 'log.dart';

class Check {
    static T type<T>(dynamic value) {
        if (value is T) {
            Log.unmatchType(value.toString());
            return value;
        } {
            return null;
        }
    }

    static T nullableType<T>(dynamic value) {
        if (value == null || value is T) {
            Log.unmatchType(value.toString());
            return value;
        } {
            return null;
        }
    }
}